Bug 103800 - Installing "languages": fonts and localization treated the same?
Installing "languages": fonts and localization treated the same?
Status: CLOSED NOTABUG
Product: Red Hat Linux Beta
Classification: Retired
Component: anaconda (Show other bugs)
beta1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-04 23:07 EDT by George Karabin
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-29 11:45:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George Karabin 2003-09-04 23:07:35 EDT
I've got a number of questions about the language installation process. Hope
this makes sense...

The distinction between installing fonts and localized files is unclear (at
least to me) in anaconda. When I pick a default language, I assume that I'm
getting that language's fonts and its localized data and documentation. When I
install "additional" languages, the language of the help text makes me think
that everything installed for the default language would also be installed for
the additional languages.

Regardless of the install options, is it worth changing the help text to
communicate exactly what is and isn't installed for both "default" and
"additional" languages?

On a one-user workstation, when I install other languages, I have no interest in
getting the localization files or documentation for that language. Instead, I
just want the fonts needed to properly view documents that I get from people in
other locales, print them, etc. I would think that this would be common for most
workstation users. Servers might be something else.

Next, does anaconda install all localized files when you install "additional
language support", or just the fonts? Sorry for not checking - hope I can get a
freebee here.

If all localized files are currently installed, does it make sense for anaconda
to give the user an option to install just the fonts? 

If so, is it worth considering making the default for workstation installs
include all the fonts? Perhaps it does, I admit I don't install the defaults.

I'm not certain if it would be difficult to communicate the distinctions I'm
talking about to all users without adding confusion, but I think it would be
nice to try. I'll likely take a stab at this in the long term (post Cambridge,
at the rate I'm handling my current projects) if you think theres's something to
these ideas, but don't have time for it.
Comment 1 Michael Fulbright 2003-09-29 11:45:18 EDT
Our model is to always install all the translations. These do not take up much
space compared to the size of systems these days.  Unfortunately the way RPM
works it is difficult to install the missing translations for a package if you
don't get them all when you install the package.

The Language Support screen is available to allow users to install support
(fonts, input methods, etc) for additional languages.  This is also available as
an install target in redhat-config-packages as well, so you can add fonts after
and install.


Note You need to log in before you can comment on or make changes to this bug.